set term postscript eps enhanced color
set output "figures/feature_freq.eps"

set xlabel "Feature"
set xlabel offset 0,-1

#set boxwidth 0.8 relative
#set style histogram cluster gap 1
#set style histogram errorbars gap 1 lw 1
set style data histogram
#set style histogram cluster 

# Give the bars a plain fill pattern, and draw a solid line around them.

set key outside right top vertical Left  noenhanced autotitle columnhead nobox


set boxwidth 0.65 absolute
set style fill   pattern 1.00 border lt -1


set datafile separator ","

#set xlabel rotate by 60

set ylabel "Normalised frequency"
set yrange [0.0:1.1]
set grid y

#set style line 2 lt 1 lc rgb "#002859"
#set style line 3 lt 1 lc rgb "#005b9a"
set xtics rotate by 60
set xtics out offset -1,-2



plot 'csv/visualization/feature_freq.csv' using 2:xtic(1) lc rgb "#000000" notitle noenhanced


