set term postscript eps enhanced color
set output "figures/users_vs_internals.eps"

set xlabel "Interval [s]"


set style data histogram
set style histogram cluster gap 1 errorbars

# Give the bars a plain fill pattern, and draw a solid line around them.
set key outside right top vertical Left  noenhanced autotitle columnhead nobox

set boxwidth 0.65 absolute
set style fill   pattern 1.00 border lt -1

set ylabel "Accuracy"
set yrange [0.0:*]
set grid y

set size 1,0.7

plot 'csv/visualization/users_vs_intervals.csv' using 2:6:xtic(1) title '3 users', '' u 3:7 title '7 users', '' u 4:8 title '11 users', '' u 5:9 title '15 users' #lc rgb "#000000" notitle


