# Not Quite Yourself Today: Behaviour-Based Continuous Authentication in IoT Environments

In this project we gather the source code and data we used in the makings of the
paper bearing the same name.

Please cite Andraž Krašovec, Daniel Pellarini, Dimitrios Geneiatakis, Gianmarco Baldini, and Veljko Pejović. 2020. Not Quite Yourself Today: Behaviour-Based Continuous Authentication in IoT Environments. Proc. ACM Interact. Mob. Wearable Ubiquitous Technol. 4, 4, Article 136 (December 2020), 29 pages. DOI:https://doi.org/10.1145/3432206 if using this dataset.

## Setup

Setup is fairly simple and only takes a few steps:
    
    - move into project folder
    - (optionally) create and activate venv
    - install project requirements: pip install -r requirements.txt
    - create local_settings.py file: touch local_settings.py
    - set the PROJECT_DIR variable in local settings to the project root folder; e.g. PROJECT_DIR = "/home/user/project/"
    - run the jupyter notebook: jupyter notebook
    - open the data_analysis notebook and have a look around
    
To generate eps images, you need to install gnuplot:

    sudo apt install gnuplot
