set term postscript eps enhanced color
set output "figures/ca_accuracy.eps"

set xlabel "Task"

set style data histogram
set style histogram cluster gap 1 errorbars

# Give the bars a plain fill pattern, and draw a solid line around them.
set key outside right top vertical Left  noenhanced autotitle columnhead nobox

set boxwidth 0.65 absolute
set style fill   pattern 1.00 border lt -1

set ylabel "Classification accuracy"
set yrange [0.0:*]
set grid y

set size 1,0.7

plot 'csv/visualization/ca_accuracy.csv' using 2:6:xtic(1) ti '10s', '' u 3:7 ti '25s', '' u 4:8 ti '50s', '' u 5:9 ti '100s' #lc rgb "#005b9a" notitle

