set term postscript eps enhanced color
set output "figures/ca_confidence.eps"

set xlabel "User"

set style data histogram
set style histogram cluster gap 1 errorbars

# Give the bars a plain fill pattern, and draw a solid line around them.
set key outside right top vertical Left  noenhanced autotitle columnhead nobox

set boxwidth 0.65 absolute
set style fill   pattern 1.00 border lt -1

set ylabel "Confidence level"
set yrange [0.0:*]
set grid y

set size 1,0.7

plot 'csv/visualization/ca_confidence.csv' using 2:4:xtic(1) ti col, '' u 3:5 ti col

