set term postscript eps enhanced color

# Set the legend font
# set key samplen 2 spacing 1 font ",25"
unset key
set bmargin 3

# Give the bars a plain fill pattern, and draw a solid line around them.
# set key outside right top vertical Left noenhanced autotitle nobox

set xtics font ",25"
set xtics border offset 0, -0.5
set ytics font ",25"
set ytics border offset -0.5, 0

set grid y

set output "figures/lda_plot_single_03_users.eps"
plot 'csv/visualization/lda_data_03_user_single.csv' using 1:2 title 'User 1' ps 2, '' using 3:4 title 'User 2' ps 2, '' using 5:6 title 'User 3' ps 2

set output "figures/lda_plot_double_03_users.eps"
plot 'csv/visualization/lda_data_03_user_double.csv' using 1:2 title 'User 1' ps 2, '' using 3:4 title 'User 2' ps 2, '' using 5:6 title 'User 3' ps 2

set output "figures/lda_plot_single_07_users.eps"
plot 'csv/visualization/lda_data_07_user_single.csv' using 1:2 title 'User 1' ps 2, '' using 3:4 title 'User 2' ps 2, '' using 5:6 title 'User 3' ps 2, '' using 7:8 title 'User 4' ps 2, '' using 9:10 title 'User 5' ps 2, '' using 11:12 title 'User 6' ps 2, '' using 13:14 title 'User 7' ps 2

set output "figures/lda_plot_double_07_users.eps"
plot 'csv/visualization/lda_data_07_user_double.csv' using 1:2 title 'User 1' ps 2, '' using 3:4 title 'User 2' ps 2, '' using 5:6 title 'User 3' ps 2, '' using 7:8 title 'User 4' ps 2, '' using 9:10 title 'User 5' ps 2, '' using 11:12 title 'User 6' ps 2, '' using 13:14 title 'User 7' ps 2

set output "figures/lda_plot_single_11_users.eps"
plot 'csv/visualization/lda_data_11_user_single.csv' using 1:2 title 'User 1' ps 2, '' using 3:4 title 'User 2' ps 2, '' using 5:6 title 'User 3' ps 2, '' using 7:8 title 'User 4' ps 2, '' using 9:10 title 'User 5' ps 2, '' using 11:12 title 'User 6' ps 2, '' using 13:14 title 'User 7' ps 2, '' using 15:16 title 'User 8' ps 2, '' using 17:18 title 'User 9' ps 2, '' using 19:20 title 'User 10' ps 2, '' using 21:22 title 'User 11' ps 2

set xtics 100

set output "figures/lda_plot_double_11_users.eps"
plot 'csv/visualization/lda_data_11_user_double.csv' using 1:2 title 'User 1' ps 2, '' using 3:4 title 'User 2' ps 2, '' using 5:6 title 'User 3' ps 2, '' using 7:8 title 'User 4' ps 2, '' using 9:10 title 'User 5' ps 2, '' using 11:12 title 'User 6' ps 2, '' using 13:14 title 'User 7' ps 2, '' using 15:16 title 'User 8' ps 2, '' using 17:18 title 'User 9' ps 2, '' using 19:20 title 'User 10' ps 2, '' using 21:22 title 'User 11' ps 2
