set term postscript eps enhanced color
set output "figures/model_comparison.eps"

set xlabel "Task"


set style data histogram
set style histogram cluster gap 1



# Give the bars a plain fill pattern, and draw a solid line around them.

set key outside right top vertical Left  noenhanced autotitle columnhead nobox


set boxwidth 0.65 absolute
set style fill   pattern 1.00 border lt -1


set ylabel "Accuracy"
set yrange [0.0:*]
set grid y

set size 1,0.7

plot 'csv/visualization/model_comparison.csv' using 2:xtic(1) ti col, '' u 3 ti col, '' u 4 ti col, '' u 5 ti col, '' u 6 ti col, '' u 7 ti col, '' u 8 ti col #lc rgb "#000000" notitle


