-- SQL commands, used to dump the data of all three tasks separately.

COPY (select re.id, re.timestamp, re.value, se.user_id, se.id as seance_id, se.try_count, se.start, se.end, ss.topic as sensor
from sensors_sensorrecord as re
join seances_seance as se on (re.seance_id=se.id)
join seances_experiment as ex on (se.experiment_id=ex.id)
join sensors_sensor as ss on (re.sensor_id=ss.id)
where (se.valid=true and ex.sequence_number=1))  TO '/tmp/task_01.csv' WITH (FORMAT CSV, HEADER);

COPY (select re.id, re.timestamp, re.value, se.user_id, se.id as seance_id, se.try_count, se.start, se.end, ss.topic as sensor
from sensors_sensorrecord as re
join seances_seance as se on (re.seance_id=se.id)
join seances_experiment as ex on (se.experiment_id=ex.id)
join sensors_sensor as ss on (re.sensor_id=ss.id)
where (se.valid=true and ex.sequence_number=2))  TO '/tmp/task_02.csv' WITH (FORMAT CSV, HEADER);

COPY (select re.id, re.timestamp, re.value, se.user_id, se.id as seance_id, se.try_count, se.start, se.end, ss.topic as sensor
from sensors_sensorrecord as re
join seances_seance as se on (re.seance_id=se.id)
join seances_experiment as ex on (se.experiment_id=ex.id)
join sensors_sensor as ss on (re.sensor_id=ss.id)
where (se.valid=true and ex.sequence_number=3))  TO '/tmp/task_03.csv' WITH (FORMAT CSV, HEADER);