try:
    from local_settings import *
except ModuleNotFoundError:
    pass

# Tasks used in the paper
TASKS = [1, 2, 3]

# URL to the zip of the data on google drive.
DATASET_URL = "https://drive.google.com/uc?id=1rUajyoEM5YM_DpFV_JooHYctcaSbDT0X"

# Csv data directory
DATA_DIR = PROJECT_DIR + "csv/data/"
# Results directory
RESULTS_DIR = PROJECT_DIR + "csv/results/"
# Gnuplot data directory
VISUALIZATION_DIR = PROJECT_DIR + "csv/visualization/"

# File name template for generated csv data
CSV_TEMPLATE = "task_{}_interval_{}.csv"

# File name template for generated results
RESULTS_TEMPLATE = "results_{}_{}.csv"

# Time segment intervals used for generating the data
SEGMENT_INTERVALS = [1, 2, 4, 8, 16, 32, 64, 128]

try:
    from local_settings import *
except ModuleNotFoundError:
    pass
